> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Board Overrides

> Update permission overrides for an agent on a board (ceiling model).



## OpenAPI

````yaml /openapi.json patch /api/v1/agents/{agent_id}/boards/{board_id}
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/agents/{agent_id}/boards/{board_id}:
    patch:
      tags:
        - agents
      summary: Update Board Overrides
      description: Update permission overrides for an agent on a board (ceiling model).
      operationId: update_board_overrides_api_v1_agents__agent_id__boards__board_id__patch
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            title: Agent Id
            type: string
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentBoardOverridesUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentBoardResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentBoardOverridesUpdate:
      description: Schema for updating board-level permission overrides.
      properties:
        permission_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Permission Overrides
      title: AgentBoardOverridesUpdate
      type: object
    AgentBoardResponse:
      description: Schema for agent-board grant.
      properties:
        agent_id:
          title: Agent Id
          type: string
        board_id:
          title: Board Id
          type: string
        granted_at:
          format: date-time
          title: Granted At
          type: string
        granted_by:
          title: Granted By
          type: string
        id:
          title: Id
          type: string
        permission_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Permission Overrides
      required:
        - id
        - agent_id
        - board_id
        - granted_by
        - granted_at
      title: AgentBoardResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````